> ## Documentation Index
> Fetch the complete documentation index at: https://developer.valuechecker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# All Client References



## OpenAPI

````yaml get /client_reference
openapi: 3.0.0
info:
  title: ValueChecker API
  description: The ValueChecker Application Programming Interface.
  version: 0.150.1
  x-logo:
    url: >-
      https://files.valuechecker.net/images/default-category-images/Value-Checker_top_bar_logo.png
    backgroundColor: '#FFFFFF'
    altText: ValueChecker logo
  contact:
    name: Contact
    url: https://www.valuechecker.net/contact/
    email: support@valuechecker.net
servers:
  - url: https://api.valuechecker.net/
    description: ValueChecker API URL.
security:
  - apiKey: []
tags:
  - name: default
externalDocs:
  description: PDF Documentation (official)
  url: https://www.valuechecker.net/docs/api/pdf
paths:
  /client_reference:
    get:
      tags:
        - default
      summary: All Client References
      parameters:
        - $ref: '#/components/parameters/client_id'
        - $ref: '#/components/parameters/client_reference_name'
        - $ref: '#/components/parameters/session-id'
      responses:
        '200':
          description: >-
            Response varies based on parameters: single object for `name`
            parameter; array of objects otherwise.
          headers:
            Date:
              schema:
                type: string
                example: Tue, 25 Jul 2023 09:11:47 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: 179
            Connection:
              schema:
                type: string
                example: keep-alive
            x-request-id:
              schema:
                type: string
                example: e4a2a557-4d7e-484d-b422-bdbaf32ca397
          content:
            application/json:
              schema:
                oneOf:
                  - title: Regular Response
                    type: array
                    description: Returns an array of all client reference objects.
                    items:
                      type: object
                      properties:
                        client_reference_id:
                          type: integer
                        client_reference:
                          type: string
                        create_time:
                          type: string
                        update_time:
                          type: string
                        user_id:
                          type: integer
                        client_id:
                          type: integer
                  - title: Single Client Reference with name parameter
                    type: object
                    description: >-
                      **Note:** This single-object response only occurs when the
                      `name` query parameter is provided.
                    properties:
                      client_reference_id:
                        type: integer
                      client_reference:
                        type: string
                      create_time:
                        type: string
                      update_time:
                        type: string
                      user_id:
                        type: integer
                      client_id:
                        type: integer
              examples:
                Standard Response:
                  value:
                    - client_reference_id: 9337
                      client_reference: Reference 321
                      create_time: '2023-07-25T11:11:05Z'
                      update_time: '2023-07-25T11:11:05Z'
                      user_id: 16459
                      client_id: 11
                    - client_reference_id: 9338
                      client_reference: Reference 322
                      create_time: '2023-07-25 11:10:05'
                      update_time: '2023-07-25 11:10:05'
                      user_id: 16460
                      client_id: 11
                Name parameter response:
                  value:
                    client_reference_id: 9337
                    client_reference: Reference 321
                    create_time: '2023-07-25 11:10:05'
                    update_time: '2023-07-25 11:10:05'
                    user_id: 16459
                    client_id: 11
        '401':
          $ref: '#/components/responses/401'
components:
  parameters:
    client_id:
      name: client_id
      in: query
      schema:
        type: integer
      example: '10'
      description: >-
        The client ID for the request. It's required if you have access to
        multiple clients with your API key. Otherwise, it's optional.
    client_reference_name:
      name: name
      in: query
      schema:
        type: string
      example: Reference 322
      description: >-
        Optional parameter returning only matched client reference name. Returns
        single client reference or empty object when not found.
    session-id:
      name: session-id
      in: query
      schema:
        type: string
      example: a1b2c3d4e5f6g7h8i9j0
      description: Optional session identifier of the user.
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Invalid Authorization header
            event_code: ERIT00
            event_dict:
              event_severity: ERROR
              title: Invalid Authorization header
              description: Please provide the right authorization token
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Note! Prefix your <api-key> with `apiKey `. Note the space after "apiKey
        ".

````